Skip to main content
Server path: /circleci-pipelines | Type: Application | PCID required: Yes

Tools

ToolDescription
circleci_pipelines_approve_pending_approval_job_by_idApprove a job
circleci_pipelines_cancel_job_by_job_idCancel job by job ID
circleci_pipelines_cancel_job_by_job_numberCancel job by job number
circleci_pipelines_cancel_workflowCancel a workflow
circleci_pipelines_continue_pipelineContinue a pipeline
circleci_pipelines_create_pipeline_definitionCreate pipeline definition
circleci_pipelines_create_scheduleCreate a schedule
circleci_pipelines_create_triggerCreate trigger
circleci_pipelines_delete_pipeline_definitionDelete pipeline definition
circleci_pipelines_delete_schedule_by_idDelete a schedule
circleci_pipelines_delete_triggerDelete trigger
circleci_pipelines_get_componentGet Component
circleci_pipelines_get_environmentGet Environment
circleci_pipelines_get_jobGet a job
circleci_pipelines_get_job_artifactsGet a job’s artifacts
circleci_pipelines_get_job_detailsGet job details
circleci_pipelines_get_pipeline_by_idGet a pipeline by ID
circleci_pipelines_get_pipeline_by_numberGet a pipeline by pipeline number
circleci_pipelines_get_pipeline_config_by_idGet a pipeline’s configuration
circleci_pipelines_get_pipeline_definitionGet pipeline definition
circleci_pipelines_get_pipeline_values_by_idGet pipeline values for a pipeline
circleci_pipelines_get_schedule_by_idGet a schedule by ID. Available only on schedules associated with GitHub OAuth or Bitbucket Cloud pipeline definitions.
circleci_pipelines_get_testsGet test metadata
circleci_pipelines_get_triggerGet trigger
circleci_pipelines_get_workflow_by_idGet a workflow
circleci_pipelines_list_component_versionsList Component Versions
circleci_pipelines_list_componentsList Components
circleci_pipelines_list_environmentsList Environments
circleci_pipelines_list_my_pipelinesGet your pipelines
circleci_pipelines_list_pipeline_definition_triggersList pipeline definition triggers
circleci_pipelines_list_pipeline_definitionsList pipeline definitions
circleci_pipelines_list_pipelinesGet a list of pipelines
circleci_pipelines_list_pipelines_for_projectGet all pipelines
circleci_pipelines_list_schedules_for_projectList schedule triggers
circleci_pipelines_list_workflow_jobsGet a workflow’s jobs
circleci_pipelines_list_workflows_by_pipeline_idGet a pipeline’s workflows
circleci_pipelines_rerun_workflowRerun a workflow
circleci_pipelines_rollback_projectRollback a project
circleci_pipelines_trigger_pipelineTrigger a new pipeline
circleci_pipelines_trigger_pipeline_run[Recommended] Trigger a new pipeline
circleci_pipelines_update_pipeline_definitionUpdate pipeline definition
circleci_pipelines_update_scheduleUpdate a schedule
circleci_pipelines_update_triggerUpdate trigger

circleci_pipelines_approve_pending_approval_job_by_id

Approve a job Parameters:
ParameterTypeRequiredDefaultDescription
approval_request_idstringYesThe ID of the job being approved.
idstringYesThe unique ID of the workflow.

circleci_pipelines_cancel_job_by_job_id

Cancel job by job ID Parameters:
ParameterTypeRequiredDefaultDescription
job-idstringYesThe unique ID of the job.

circleci_pipelines_cancel_job_by_job_number

Cancel job by job number Parameters:
ParameterTypeRequiredDefaultDescription
job-numberobjectYesThe number of the job.
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).

circleci_pipelines_cancel_workflow

Cancel a workflow Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID of the workflow.

circleci_pipelines_continue_pipeline

Continue a pipeline Parameters:
ParameterTypeRequiredDefaultDescription
configurationstringYesA configuration string for the pipeline.
continuation-keystringYesA pipeline continuation key.
parametersobjectNoAn object containing pipeline parameters and their values. Pipeline parameters have the following size limits: 100 max entries, 128 maximum key length, 512 maximum value length.

circleci_pipelines_create_pipeline_definition

Create pipeline definition Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
checkout_sourceobjectYesThe resource to be used when running the checkout command.
config_sourceobjectYesConfig Source
descriptionstringNoThe description of the pipeline definition.
namestringYesThe name of the pipeline definition.

circleci_pipelines_create_schedule

Create a schedule Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
attribution-actorstringYesThe attribution-actor of the scheduled pipeline.
descriptionstringNoDescription of the schedule.
namestringYesName of the schedule.
parametersobjectYesPipeline parameters represented as key-value pairs. Must contain branch or tag.
timetableobjectYesTimetable that specifies when a schedule triggers.

circleci_pipelines_create_trigger

Create trigger Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
pipeline_definition_idstringYesAn opaque identifier of a pipeline definition.
checkout_refstringNoThe ref to use when checking out code for pipeline runs created from this trigger. Always required when event_source.provider is webhook or schedule. When event_source.provider is github_app or github_server, only expected if the event source repository (identified by event_source.repo.external_id) is different to the checkout source repository of the associated Pipeline Definition. Otherwise, must be omitted.
config_refstringNoThe ref to use when fetching config for pipeline runs created from this trigger. Always required when event_source.provider is webhook or schedule. When event_source.provider is github_app or github_server, only expected if the event source repository (identified by event_source.repo.external_id) is different to the config source repository of the associated Pipeline Definition. Otherwise, must be omitted.
disabledbooleanNoWhether the trigger should be disabled upon creation. Not supported for triggers where event_source.provider is github_oauth.
event_namestringNoThe name of the triggering event. Required when provider is webhook or schedule. Should not be set for other providers.
event_presetstringNoThe name of the event preset to use when filtering events for this trigger. Only applicable when event_source.provider is github_app or github_server.
event_sourceobjectYesThe source of events to use for this trigger. The repo object must be specified when provider is github_app, github_server, or github_oauth, the webhook object may only be specified when provider is webhook, and the schedule object must be specified when provider is schedule.
parametersobjectNoPipeline parameters to pass when running pipelines from this trigger. Currently only supported for triggers where event_source.provider is schedule.

circleci_pipelines_delete_pipeline_definition

Delete pipeline definition Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
pipeline_definition_idstringYesAn opaque identifier of a pipeline definition.

circleci_pipelines_delete_schedule_by_id

Delete a schedule Parameters:
ParameterTypeRequiredDefaultDescription
schedule-idstringYesThe unique ID of the schedule.

circleci_pipelines_delete_trigger

Delete trigger Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
trigger_idstringYesAn opaque identifier of a trigger.

circleci_pipelines_get_component

Get Component Parameters:
ParameterTypeRequiredDefaultDescription
component_idstringYesAn opaque identifier of a component.

circleci_pipelines_get_environment

Get Environment Parameters:
ParameterTypeRequiredDefaultDescription
environment_idstringYesAn opaque identifier of an environment.

circleci_pipelines_get_job

Get a job Parameters:
ParameterTypeRequiredDefaultDescription
job_idstringYesAn opaque identifier of a job.

circleci_pipelines_get_job_artifacts

Get a job’s artifacts Parameters:
ParameterTypeRequiredDefaultDescription
job-numberobjectYesThe number of the job.
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).

circleci_pipelines_get_job_details

Get job details Parameters:
ParameterTypeRequiredDefaultDescription
job-numberobjectYesThe number of the job.
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).

circleci_pipelines_get_pipeline_by_id

Get a pipeline by ID Parameters:
ParameterTypeRequiredDefaultDescription
pipeline-idstringYesThe unique ID of the pipeline.

circleci_pipelines_get_pipeline_by_number

Get a pipeline by pipeline number Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
pipeline-numberobjectYesThe number of the pipeline.

circleci_pipelines_get_pipeline_config_by_id

Get a pipeline’s configuration Parameters:
ParameterTypeRequiredDefaultDescription
pipeline-idstringYesThe unique ID of the pipeline.

circleci_pipelines_get_pipeline_definition

Get pipeline definition Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
pipeline_definition_idstringYesAn opaque identifier of a pipeline definition.

circleci_pipelines_get_pipeline_values_by_id

Get pipeline values for a pipeline Parameters:
ParameterTypeRequiredDefaultDescription
pipeline_idstringYesAn opaque identifier of a pipeline.

circleci_pipelines_get_schedule_by_id

Get a schedule by ID. Available only on schedules associated with GitHub OAuth or Bitbucket Cloud pipeline definitions. Parameters:
ParameterTypeRequiredDefaultDescription
schedule-idstringYesThe unique ID of the schedule.

circleci_pipelines_get_tests

Get test metadata Parameters:
ParameterTypeRequiredDefaultDescription
job-numberobjectYesThe number of the job.
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).

circleci_pipelines_get_trigger

Get trigger Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
trigger_idstringYesAn opaque identifier of a trigger.

circleci_pipelines_get_workflow_by_id

Get a workflow Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID of the workflow.

circleci_pipelines_list_component_versions

List Component Versions Parameters:
ParameterTypeRequiredDefaultDescription
component_idstringYesAn opaque identifier of a component.
environment-idstringNoAn opaque identifier of an environment used in query parameters.

circleci_pipelines_list_components

List Components Parameters:
ParameterTypeRequiredDefaultDescription
org-idstringYesAn opaque identifier of an organization used in query parameters.
project-idstringNoAn opaque identifier of an project used in query parameters.
page-sizeintegerYesThe number of results per page.
page-tokenstringNoA token to specify which page of results to fetch.

circleci_pipelines_list_environments

List Environments Parameters:
ParameterTypeRequiredDefaultDescription
org-idstringYesAn opaque identifier of an organization used in query parameters.
page-sizeintegerYesThe number of results per page.
page-tokenstringNoA token to specify which page of results to fetch.

circleci_pipelines_list_my_pipelines

Get your pipelines Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
page-tokenstringNoA token to retrieve the next page of results.

circleci_pipelines_list_pipeline_definition_triggers

List pipeline definition triggers Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
pipeline_definition_idstringYesAn opaque identifier of a pipeline definition.

circleci_pipelines_list_pipeline_definitions

List pipeline definitions Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.

circleci_pipelines_list_pipelines

Get a list of pipelines Parameters:
ParameterTypeRequiredDefaultDescription
org-slugstringNoOrg slug in the form vcs-slug/org-name. For projects that use GitLab or GitHub App, use circleci as the vcs-slug and replace the org-name with the organization ID (found in Organization Settings).
page-tokenstringNoA token to retrieve the next page of results.
minebooleanNoOnly include entries created by your user.

circleci_pipelines_list_pipelines_for_project

Get all pipelines Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
branchstringNoThe name of a vcs branch.
page-tokenstringNoA token to retrieve the next page of results.

circleci_pipelines_list_schedules_for_project

List schedule triggers Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
page-tokenstringNoA token to retrieve the next page of results.

circleci_pipelines_list_workflow_jobs

Get a workflow’s jobs Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID of the workflow.

circleci_pipelines_list_workflows_by_pipeline_id

Get a pipeline’s workflows Parameters:
ParameterTypeRequiredDefaultDescription
pipeline-idstringYesThe unique ID of the pipeline.
page-tokenstringNoA token to retrieve the next page of results.

circleci_pipelines_rerun_workflow

Rerun a workflow Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID of the workflow.
enable_sshbooleanNoWhether to enable SSH access for the triggering user on the newly-rerun job. Requires the jobs parameter to be used and so is mutually exclusive with the from_failed parameter.
from_failedbooleanNoWhether to rerun the workflow from the failed job. Mutually exclusive with the jobs parameter.
jobsstring[]NoA list of job IDs to rerun.
sparse_treebooleanNoCompletes rerun using sparse trees logic, an optimization for workflows that have disconnected subgraphs. Requires jobs parameter and so is mutually exclusive with the from_failed parameter.

circleci_pipelines_rollback_project

Rollback a project Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
component_namestringYesThe component name
current_versionstringYesThe current version
environment_namestringYesThe environment name
namespacestringNoThe namespace
parametersobjectNoThe extra parameters for the rollback pipeline
reasonstringNoThe reason for the rollback
target_versionstringYesThe target version

circleci_pipelines_trigger_pipeline

Trigger a new pipeline Parameters:
ParameterTypeRequiredDefaultDescription
project-slugstringYesProject slug in the form vcs-slug/org-name/repo-name. The / characters may be URL-escaped. For projects that use GitLab or GitHub App, use circleci as the vcs-slug, replace org-name with the organization ID (found in Organization Settings), and replace repo-name with the project ID (found in Project Settings).
branchstringNoThe branch where the pipeline ran. The HEAD commit on this branch was used for the pipeline. Note that branch and tag are mutually exclusive. To trigger a pipeline for a PR by number use pull/<number>/head for the PR ref or pull/<number>/merge for the merge ref (GitHub only).
parametersobjectNoAn object containing pipeline parameters and their values. Pipeline parameters have the following size limits: 100 max entries, 128 maximum key length, 512 maximum value length.
tagstringNoThe tag used by the pipeline. The commit that this tag points to was used for the pipeline. Note that branch and tag are mutually exclusive.

circleci_pipelines_trigger_pipeline_run

[Recommended] Trigger a new pipeline Parameters:
ParameterTypeRequiredDefaultDescription
providerstringYesThe first segment of the slash-separated project slug, as shown in Project Settings > Overview.
organizationstringYesThe second segment of the slash-separated project slug, as shown in Project Settings > Overview. Depending on the organization type, this may be the org name (e.g. my-org) or an ID (e.g. 43G3lM5RtfFE7v5sa4nWAU).
projectstringYesThe third segment of the slash-separated project slug, as shown in Project Settings > Overview. Depending on the organization type, this may be the project name (e.g. my-project) or an ID (e.g. 44n9wujWcTnVZ2b5S8Fnat).
checkoutobjectNoThe checkout value
configobjectNoThe config value
definition_idstringNoThe unique id for the pipeline definition. This can be found in the page Project Settings > Pipelines.
parametersobjectNoAn object containing pipeline parameters and their values. Pipeline parameters have the following size limits: 100 max entries, 128 maximum key length, 512 maximum value length.

circleci_pipelines_update_pipeline_definition

Update pipeline definition Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
pipeline_definition_idstringYesAn opaque identifier of a pipeline definition.
checkout_sourceobjectNoThe resource to be used when running the checkout command.
config_sourceobjectNoThe resource that stores the CircleCI config YAML used for this pipeline definition.
descriptionstringNoThe description of the pipeline definition.
namestringNoThe name of the pipeline definition.

circleci_pipelines_update_schedule

Update a schedule Parameters:
ParameterTypeRequiredDefaultDescription
schedule-idstringYesThe unique ID of the schedule.
attribution-actorstringNoThe attribution-actor of the scheduled pipeline.
descriptionstringNoDescription of the schedule.
namestringNoName of the schedule.
parametersobjectNoPipeline parameters represented as key-value pairs. Must contain branch or tag.
timetableobjectNoTimetable that specifies when a schedule triggers.

circleci_pipelines_update_trigger

Update trigger Parameters:
ParameterTypeRequiredDefaultDescription
project_idstringYesAn opaque identifier of a project.
trigger_idstringYesAn opaque identifier of a trigger.
checkout_refstringNoThe ref to use when checking out code for pipeline runs created from this trigger.
config_refstringNoThe ref to use when fetching config for pipeline runs created from this trigger.
disabledbooleanNoA flag indicating whether the trigger is disabled or not. Not supported for triggers where event_source.provider is github_oauth.
event_namestringNoThe name of the triggering event. Required when provider is webhook or schedule. Should not be set for other providers.
event_presetstringNoThe name of the event preset to use when filtering events for this trigger. Only applicable when event_source.provider is github_app or github_server.
event_sourceobjectNoEvent Source
parametersobjectNoPipeline parameters to pass when running pipelines from this trigger. Currently only supported for triggers where event_source.provider is schedule.